[
  {
    "name": "Bad",
    "hex": "0x80000000",
    "decimal": 2147483648,
    "description": "The value is bad but no specific reason is known"
  },
  {
    "name": "BadAggregateConfigurationRejected",
    "hex": "0x80da0000",
    "decimal": 2161770496,
    "description": "The aggregate configuration is not valid for specified node"
  },
  {
    "name": "BadAggregateInvalidInputs",
    "hex": "0x80d60000",
    "decimal": 2161508352,
    "description": "The aggregate value could not be derived due to invalid data inputs"
  },
  {
    "name": "BadAggregateListMismatch",
    "hex": "0x80d40000",
    "decimal": 2161377280,
    "description": "The requested number of Aggregates does not match the requested number of NodeIds"
  },
  {
    "name": "BadAggregateNotSupported",
    "hex": "0x80d50000",
    "decimal": 2161442816,
    "description": "The requested Aggregate is not support by the server"
  },
  {
    "name": "BadAlreadyExists",
    "hex": "0x81150000",
    "decimal": 2165637120,
    "description": "An equivalent rule already exists"
  },
  {
    "name": "BadApplicationSignatureInvalid",
    "hex": "0x80580000",
    "decimal": 2153250816,
    "description": "The signature generated with the client certificate is missing or invalid"
  },
  {
    "name": "BadArgumentsMissing",
    "hex": "0x80760000",
    "decimal": 2155216896,
    "description": "The client did not specify all of the input arguments for the method"
  },
  {
    "name": "BadAttributeIdInvalid",
    "hex": "0x80350000",
    "decimal": 2150957056,
    "description": "The attribute is not supported for the specified Node"
  },
  {
    "name": "BadBoundNotFound",
    "hex": "0x80d70000",
    "decimal": 2161573888,
    "description": "No data found to provide upper or lower bound value"
  },
  {
    "name": "BadBoundNotSupported",
    "hex": "0x80d80000",
    "decimal": 2161639424,
    "description": "The server cannot retrieve a bound for the variable"
  },
  {
    "name": "BadBrowseDirectionInvalid",
    "hex": "0x804d0000",
    "decimal": 2152529920,
    "description": "The browse direction is not valid"
  },
  {
    "name": "BadBrowseNameDuplicated",
    "hex": "0x80610000",
    "decimal": 2153840640,
    "description": "The browse name is not unique among nodes that share the same relationship with the parent"
  },
  {
    "name": "BadBrowseNameInvalid",
    "hex": "0x80600000",
    "decimal": 2153775104,
    "description": "The browse name is invalid"
  },
  {
    "name": "BadCertificateChainIncomplete",
    "hex": "0x810d0000",
    "decimal": 2165112832,
    "description": "The certificate chain is incomplete"
  },
  {
    "name": "BadCertificateHostNameInvalid",
    "hex": "0x80160000",
    "decimal": 2148925440,
    "description": "The HostName used to connect to a server does not match a HostName in the certificate"
  },
  {
    "name": "BadCertificateInvalid",
    "hex": "0x80120000",
    "decimal": 2148663296,
    "description": "The certificate provided as a parameter is not valid"
  },
  {
    "name": "BadCertificateIssuerRevocationUnknown",
    "hex": "0x801c0000",
    "decimal": 2149318656,
    "description": "It was not possible to determine if the issuer certificate has been revoked"
  },
  {
    "name": "BadCertificateIssuerRevoked",
    "hex": "0x801e0000",
    "decimal": 2049,
    "description": "The issuer certificate has been revoked"
  },
  {
    "name": "BadCertificateIssuerTimeInvalid",
    "hex": "0x80150000",
    "decimal": 2148859904,
    "description": "An issuer certificate has expired or is not yet valid"
  },
  {
    "name": "BadCertificateIssuerUseNotAllowed",
    "hex": "0x80190000",
    "decimal": 2149122048,
    "description": "The issuer certificate may not be used for the requested operation"
  },
  {
    "name": "BadCertificatePolicyCheckFailed",
    "hex": "0x81140000",
    "decimal": 2165571584,
    "description": "The certificate does not meet the requirements of the security policy"
  },
  {
    "name": "BadCertificateRevocationUnknown",
    "hex": "0x801b0000",
    "decimal": 2149253120,
    "description": "It was not possible to determine if the certificate has been revoked"
  },
  {
    "name": "BadCertificateRevoked",
    "hex": "0x801d0000",
    "decimal": 2149384192,
    "description": "The certificate has been revoked"
  },
  {
    "name": "BadCertificateTimeInvalid",
    "hex": "0x80140000",
    "decimal": 2148794368,
    "description": "The certificate has expired or is not yet valid"
  },
  {
    "name": "BadCertificateUntrusted",
    "hex": "0x801a0000",
    "decimal": 2149187584,
    "description": "The certificate is not trusted"
  },
  {
    "name": "BadCertificateUriInvalid",
    "hex": "0x80170000",
    "decimal": 2148990976,
    "description": "The URI specified in the ApplicationDescription does not match the URI in the certificate"
  },
  {
    "name": "BadCertificateUseNotAllowed",
    "hex": "0x80180000",
    "decimal": 2149056512,
    "description": "The certificate may not be used for the requested operation"
  },
  {
    "name": "BadCommunicationError",
    "hex": "0x80050000",
    "decimal": 2147811328,
    "description": "A low level communication error occurred"
  },
  {
    "name": "BadConditionAlreadyDisabled",
    "hex": "0x80980000",
    "decimal": 2157445120,
    "description": "This condition has already been disabled"
  },
  {
    "name": "BadConditionAlreadyEnabled",
    "hex": "0x80cc0000",
    "decimal": 2160852992,
    "description": "This condition has already been enabled"
  },
  {
    "name": "BadConditionAlreadyShelved",
    "hex": "0x80d10000",
    "decimal": 2161180672,
    "description": "The condition has already been shelved"
  },
  {
    "name": "BadConditionBranchAlreadyAcked",
    "hex": "0x80cf0000",
    "decimal": 2161049600,
    "description": "The condition branch has already been acknowledged"
  },
  {
    "name": "BadConditionBranchAlreadyConfirmed",
    "hex": "0x80d00000",
    "decimal": 2161115136,
    "description": "The condition branch has already been confirmed"
  },
  {
    "name": "BadConditionDisabled",
    "hex": "0x80990000",
    "decimal": 2157510656,
    "description": "Property not available, this condition is disabled"
  },
  {
    "name": "BadConditionNotShelved",
    "hex": "0x80d20000",
    "decimal": 2161246208,
    "description": "The condition is not currently shelved"
  },
  {
    "name": "BadConfigurationError",
    "hex": "0x80890000",
    "decimal": 2156462080,
    "description": "There is a problem with the configuration that affects the usefulness of the value"
  },
  {
    "name": "BadConnectionClosed",
    "hex": "0x80ae0000",
    "decimal": 2158886912,
    "description": "The network connection has been closed"
  },
  {
    "name": "BadConnectionRejected",
    "hex": "0x80ac0000",
    "decimal": 2158755840,
    "description": "Could not establish a network connection to remote server"
  },
  {
    "name": "BadContentFilterInvalid",
    "hex": "0x80480000",
    "decimal": 2152202240,
    "description": "The content filter is not valid"
  },
  {
    "name": "BadContinuationPointInvalid",
    "hex": "0x804a0000",
    "decimal": 2152333312,
    "description": "The continuation point provide is longer valid"
  },
  {
    "name": "BadDataEncodingInvalid",
    "hex": "0x80380000",
    "decimal": 2151153664,
    "description": "The data encoding is invalid"
  },
  {
    "name": "BadDataEncodingUnsupported",
    "hex": "0x80390000",
    "decimal": 2151219200,
    "description": "The server does not support the requested data encoding for the node"
  },
  {
    "name": "BadDataLost",
    "hex": "0x809d0000",
    "decimal": 2157772800,
    "description": "Data is missing due to collection started/stopped/lost"
  },
  {
    "name": "BadDataTypeIdUnknown",
    "hex": "0x80110000",
    "decimal": 2148597760,
    "description": "The extension object cannot be (de)serialized because the data type id is not recognized"
  },
  {
    "name": "BadDataUnavailable",
    "hex": "0x809e0000",
    "decimal": 2057,
    "description": "Expected data is unavailable for the requested time range due to an un-mounted volume, an off-line archive or tape, or similar reason for temporary unavailability"
  },
  {
    "name": "BadDeadbandFilterInvalid",
    "hex": "0x808e0000",
    "decimal": 2056,
    "description": "The deadband filter is not valid"
  },
  {
    "name": "BadDecodingError",
    "hex": "0x80070000",
    "decimal": 2147942400,
    "description": "Decoding halted because of invalid data in the stream"
  },
  {
    "name": "BadDependentValueChanged",
    "hex": "0x80e30000",
    "decimal": 2162360320,
    "description": "A dependent value has been changed but the change has not been applied to the device. The quality of the dominant variable is Bad"
  },
  {
    "name": "BadDeviceFailure",
    "hex": "0x808b0000",
    "decimal": 2156593152,
    "description": "There has been a failure in the device/data source that generates the value that has affected the value"
  },
  {
    "name": "BadDialogNotActive",
    "hex": "0x80cd0000",
    "decimal": 2160918528,
    "description": "The dialog condition is not active"
  },
  {
    "name": "BadDialogResponseInvalid",
    "hex": "0x80ce0000",
    "decimal": 2160984064,
    "description": "The response is not valid for the dialog"
  },
  {
    "name": "BadDisconnect",
    "hex": "0x80ad0000",
    "decimal": 2158821376,
    "description": "The server has disconnected from the client"
  },
  {
    "name": "BadDiscoveryUrlMissing",
    "hex": "0x80510000",
    "decimal": 2152792064,
    "description": "No DiscoveryUrl was specified"
  },
  {
    "name": "BadDominantValueChanged",
    "hex": "0x80e10000",
    "decimal": 2162229248,
    "description": "The related EngineeringUnit has been changed but this change has not been applied to the device. The Variable Value is still dependent on the previous unit but its status is currently Bad"
  },
  {
    "name": "BadDuplicateReferenceNotAllowed",
    "hex": "0x80660000",
    "decimal": 2154168320,
    "description": "The reference type between the nodes is already defined"
  },
  {
    "name": "BadEncodingError",
    "hex": "0x80060000",
    "decimal": 2147876864,
    "description": "Encoding halted because of invalid data in the objects being serialized"
  },
  {
    "name": "BadEncodingLimitsExceeded",
    "hex": "0x80080000",
    "decimal": 2148007936,
    "description": "The message encoding/decoding limits imposed by the stack have been exceeded"
  },
  {
    "name": "BadEndOfStream",
    "hex": "0x80b00000",
    "decimal": 2159017984,
    "description": "Cannot move beyond end of the stream"
  },
  {
    "name": "BadEntryExists",
    "hex": "0x809f0000",
    "decimal": 2157903872,
    "description": "The data or event was not successfully inserted because a matching entry exists"
  },
  {
    "name": "BadEventFilterInvalid",
    "hex": "0x80470000",
    "decimal": 2152136704,
    "description": "The event filter is not valid"
  },
  {
    "name": "BadEventIdUnknown",
    "hex": "0x809a0000",
    "decimal": 2157576192,
    "description": "The specified event id is not recognized"
  },
  {
    "name": "BadEventNotAcknowledgeable",
    "hex": "0x80bb0000",
    "decimal": 2159738880,
    "description": "The event cannot be acknowledged"
  },
  {
    "name": "BadExpectedStreamToBlock",
    "hex": "0x80b40000",
    "decimal": 2159280128,
    "description": "The stream did not return all data requested (possibly because it is a non-blocking stream)"
  },
  {
    "name": "BadFilterElementInvalid",
    "hex": "0x80c40000",
    "decimal": 2160328704,
    "description": "The referenced element is not a valid element in the content filter"
  },
  {
    "name": "BadFilterLiteralInvalid",
    "hex": "0x80c50000",
    "decimal": 2160394240,
    "description": "The referenced literal is not a valid value"
  },
  {
    "name": "BadFilterNotAllowed",
    "hex": "0x80450000",
    "decimal": 2152005632,
    "description": "A monitoring filter cannot be used in combination with the attribute specified"
  },
  {
    "name": "BadFilterOperandCountMismatch",
    "hex": "0x80c30000",
    "decimal": 2160263168,
    "description": "The number of operands provided for the filter operator was less then expected for the operand provided"
  },
  {
    "name": "BadFilterOperandInvalid",
    "hex": "0x80490000",
    "decimal": 2152267776,
    "description": "The operand used in a content filter is not valid"
  },
  {
    "name": "BadFilterOperatorInvalid",
    "hex": "0x80c10000",
    "decimal": 2160132096,
    "description": "An unrecognized operator was provided in a filter"
  },
  {
    "name": "BadFilterOperatorUnsupported",
    "hex": "0x80c20000",
    "decimal": 2160197632,
    "description": "A valid operator was provided, but the server does not provide support for this filter operator"
  },
  {
    "name": "BadHistoryOperationInvalid",
    "hex": "0x80710000",
    "decimal": 2154889216,
    "description": "The history details parameter is not valid"
  },
  {
    "name": "BadHistoryOperationUnsupported",
    "hex": "0x80720000",
    "decimal": 2154954752,
    "description": "The server does not support the requested operation"
  },
  {
    "name": "BadIdentityChangeNotSupported",
    "hex": "0x80c60000",
    "decimal": 2160459776,
    "description": "The server does not support changing the user identity assigned to the session"
  },
  {
    "name": "BadIdentityTokenInvalid",
    "hex": "0x80200000",
    "decimal": 2149580800,
    "description": "The user identity token is not valid"
  },
  {
    "name": "BadIdentityTokenRejected",
    "hex": "0x80210000",
    "decimal": 2149646336,
    "description": "The user identity token is valid but the server has rejected it"
  },
  {
    "name": "BadIndexRangeInvalid",
    "hex": "0x80360000",
    "decimal": 2151022592,
    "description": "The syntax of the index range parameter is invalid"
  },
  {
    "name": "BadIndexRangeNoData",
    "hex": "0x80370000",
    "decimal": 2151088128,
    "description": "No data exists within the range of indexes specified"
  },
  {
    "name": "BadInsufficientClientProfile",
    "hex": "0x807c0000",
    "decimal": 2155610112,
    "description": "The client of the current session does not support one or more Profiles that are necessary for the subscription"
  },
  {
    "name": "BadInternalError",
    "hex": "0x80020000",
    "decimal": 2147614720,
    "description": "An internal error occurred as a result of a programming or configuration error"
  },
  {
    "name": "BadInvalidArgument",
    "hex": "0x80ab0000",
    "decimal": 2158690304,
    "description": "One or more arguments are invalid"
  },
  {
    "name": "BadInvalidSelfReference",
    "hex": "0x80670000",
    "decimal": 2154233856,
    "description": "The server does not allow this type of self reference on this node"
  },
  {
    "name": "BadInvalidState",
    "hex": "0x80af0000",
    "decimal": 2158952448,
    "description": "The operation cannot be completed because the object is closed, uninitialized or in some other invalid state"
  },
  {
    "name": "BadInvalidTimestamp",
    "hex": "0x80230000",
    "decimal": 2149777408,
    "description": "The timestamp is outside the range allowed by the server"
  },
  {
    "name": "BadInvalidTimestampArgument",
    "hex": "0x80bd0000",
    "decimal": 2159869952,
    "description": "The defined timestamp to return was invalid"
  },
  {
    "name": "BadLicenseExpired",
    "hex": "0x810e0000",
    "decimal": 2064,
    "description": "The server requires a license to operate in general or to perform a service or operation, but existing license is expired"
  },
  {
    "name": "BadLicenseLimitsExceeded",
    "hex": "0x810f0000",
    "decimal": 2165243904,
    "description": "The server has limits on number of allowed operations / objects, based on installed licenses, and these limits where exceeded"
  },
  {
    "name": "BadLicenseNotAvailable",
    "hex": "0x81100000",
    "decimal": 2165309440,
    "description": "The server does not have a license which is required to operate in general or to perform a service or operation"
  },
  {
    "name": "BadMaxAgeInvalid",
    "hex": "0x80700000",
    "decimal": 2154823680,
    "description": "The max age parameter is invalid"
  },
  {
    "name": "BadMaxConnectionsReached",
    "hex": "0x80b70000",
    "decimal": 2159476736,
    "description": "The operation could not be finished because all available connections are in use"
  },
  {
    "name": "BadMessageNotAvailable",
    "hex": "0x807b0000",
    "decimal": 2155544576,
    "description": "The requested notification message is no longer available"
  },
  {
    "name": "BadMethodInvalid",
    "hex": "0x80750000",
    "decimal": 2155151360,
    "description": "The method id does not refer to a method for the specified object"
  },
  {
    "name": "BadMonitoredItemFilterInvalid",
    "hex": "0x80430000",
    "decimal": 2151874560,
    "description": "The monitored item filter parameter is not valid"
  },
  {
    "name": "BadMonitoredItemFilterUnsupported",
    "hex": "0x80440000",
    "decimal": 2151940096,
    "description": "The server does not support the requested monitored item filter"
  },
  {
    "name": "BadMonitoredItemIdInvalid",
    "hex": "0x80420000",
    "decimal": 2151809024,
    "description": "The monitoring item id does not refer to a valid monitored item"
  },
  {
    "name": "BadMonitoringModeInvalid",
    "hex": "0x80410000",
    "decimal": 2151743488,
    "description": "The monitoring mode is invalid"
  },
  {
    "name": "BadNoCommunication",
    "hex": "0x80310000",
    "decimal": 2150694912,
    "description": "Communication with the data source is defined, but not established, and there is no last known value available"
  },
  {
    "name": "BadNoContinuationPoints",
    "hex": "0x804b0000",
    "decimal": 2152398848,
    "description": "The operation could not be processed because all continuation points have been allocated"
  },
  {
    "name": "BadNoData",
    "hex": "0x809b0000",
    "decimal": 2157641728,
    "description": "No data exists for the requested time range or event filter"
  },
  {
    "name": "BadNoDataAvailable",
    "hex": "0x80b10000",
    "decimal": 2159083520,
    "description": "No data is currently available for reading from a non-blocking stream"
  },
  {
    "name": "BadNodeAttributesInvalid",
    "hex": "0x80620000",
    "decimal": 2153906176,
    "description": "The node attributes are not valid for the node class"
  },
  {
    "name": "BadNodeClassInvalid",
    "hex": "0x805f0000",
    "decimal": 2153709568,
    "description": "The node class is not valid"
  },
  {
    "name": "BadNodeIdExists",
    "hex": "0x805e0000",
    "decimal": 2053,
    "description": "The requested node id is already used by another node"
  },
  {
    "name": "BadNodeIdInvalid",
    "hex": "0x80330000",
    "decimal": 2150825984,
    "description": "The syntax of the node id is not valid"
  },
  {
    "name": "BadNodeIdRejected",
    "hex": "0x805d0000",
    "decimal": 2153578496,
    "description": "The requested node id was reject because it was either invalid or server does not allow node ids to be specified by the client"
  },
  {
    "name": "BadNodeIdUnknown",
    "hex": "0x80340000",
    "decimal": 2150891520,
    "description": "The node id refers to a node that does not exist in the server address space"
  },
  {
    "name": "BadNodeNotInView",
    "hex": "0x804e0000",
    "decimal": 2052,
    "description": "The node is not part of the view"
  },
  {
    "name": "BadNoDeleteRights",
    "hex": "0x80690000",
    "decimal": 2154364928,
    "description": "The server will not allow the node to be deleted"
  },
  {
    "name": "BadNoEntryExists",
    "hex": "0x80a00000",
    "decimal": 2157969408,
    "description": "The data or event was not successfully updated because no matching entry exists"
  },
  {
    "name": "BadNoMatch",
    "hex": "0x806f0000",
    "decimal": 2154758144,
    "description": "The requested operation has no match to return"
  },
  {
    "name": "BadNonceInvalid",
    "hex": "0x80240000",
    "decimal": 2149842944,
    "description": "The nonce does appear to be not a random value or it is not the correct length"
  },
  {
    "name": "BadNoSubscription",
    "hex": "0x80790000",
    "decimal": 2155413504,
    "description": "There is no subscription available for this session"
  },
  {
    "name": "BadNotConnected",
    "hex": "0x808a0000",
    "decimal": 2156527616,
    "description": "The variable should receive its value from another variable, but has never been configured to do so"
  },
  {
    "name": "BadNotExecutable",
    "hex": "0x81110000",
    "decimal": 2165374976,
    "description": "The executable attribute does not allow the execution of the method"
  },
  {
    "name": "BadNotFound",
    "hex": "0x803e0000",
    "decimal": 2051,
    "description": "A requested item was not found or a search operation ended without success"
  },
  {
    "name": "BadNotImplemented",
    "hex": "0x80400000",
    "decimal": 2151677952,
    "description": "Requested operation is not implemented"
  },
  {
    "name": "BadNotReadable",
    "hex": "0x803a0000",
    "decimal": 2151284736,
    "description": "The access level does not allow reading or subscribing to the Node"
  },
  {
    "name": "BadNotSupported",
    "hex": "0x803d0000",
    "decimal": 2151481344,
    "description": "The requested operation is not supported"
  },
  {
    "name": "BadNotTypeDefinition",
    "hex": "0x80c80000",
    "decimal": 2160590848,
    "description": "The provided Nodeid was not a type definition nodeid"
  },
  {
    "name": "BadNotWritable",
    "hex": "0x803b0000",
    "decimal": 2151350272,
    "description": "The access level does not allow writing to the Node"
  },
  {
    "name": "BadNothingToDo",
    "hex": "0x800f0000",
    "decimal": 2148466688,
    "description": "There was nothing to do because the client passed a list of operations with no elements"
  },
  {
    "name": "BadNoValidCertificates",
    "hex": "0x80590000",
    "decimal": 2153316352,
    "description": "The client did not provide at least one software certificate that is valid and meets the profile requirements for the server"
  },
  {
    "name": "BadNumericOverflow",
    "hex": "0x81120000",
    "decimal": 2165440512,
    "description": "The number was not accepted because of a numeric overflow"
  },
  {
    "name": "BadObjectDeleted",
    "hex": "0x803f0000",
    "decimal": 2151612416,
    "description": "The object cannot be used because it has been deleted"
  },
  {
    "name": "BadOperationAbandoned",
    "hex": "0x80b30000",
    "decimal": 2159214592,
    "description": "The asynchronous operation was abandoned by the caller"
  },
  {
    "name": "BadOutOfMemory",
    "hex": "0x80030000",
    "decimal": 2147680256,
    "description": "Not enough memory to complete the operation"
  },
  {
    "name": "BadOutOfRange",
    "hex": "0x803c0000",
    "decimal": 2151415808,
    "description": "The value was out of range"
  },
  {
    "name": "BadOutOfService",
    "hex": "0x808d0000",
    "decimal": 2156724224,
    "description": "The source of the data is not operational"
  },
  {
    "name": "BadParentNodeIdInvalid",
    "hex": "0x805b0000",
    "decimal": 2153447424,
    "description": "The parent node id does not to refer to a valid node"
  },
  {
    "name": "BadProtocolVersionUnsupported",
    "hex": "0x80be0000",
    "decimal": 2159935488,
    "description": "The applications do not have compatible protocol versions"
  },
  {
    "name": "BadQueryTooComplex",
    "hex": "0x806e0000",
    "decimal": 2054,
    "description": "The requested operation requires too many resources in the server"
  },
  {
    "name": "BadReferenceLocalOnly",
    "hex": "0x80680000",
    "decimal": 2154299392,
    "description": "The reference type is not valid for a reference to a remote server"
  },
  {
    "name": "BadReferenceNotAllowed",
    "hex": "0x805c0000",
    "decimal": 2153512960,
    "description": "The reference could not be created because it violates constraints imposed by the data model"
  },
  {
    "name": "BadReferenceTypeIdInvalid",
    "hex": "0x804c0000",
    "decimal": 2152464384,
    "description": "The reference type id does not refer to a valid reference type node"
  },
  {
    "name": "BadRefreshInProgress",
    "hex": "0x80970000",
    "decimal": 2157379584,
    "description": "This Condition refresh failed, a Condition refresh operation is already in progress"
  },
  {
    "name": "BadRequestCancelledByClient",
    "hex": "0x802c0000",
    "decimal": 2150367232,
    "description": "The request was cancelled by the client"
  },
  {
    "name": "BadRequestCancelledByRequest",
    "hex": "0x805a0000",
    "decimal": 2153381888,
    "description": "The request was cancelled by the client with the Cancel service"
  },
  {
    "name": "BadRequestHeaderInvalid",
    "hex": "0x802a0000",
    "decimal": 2150236160,
    "description": "The header for the request is missing or invalid"
  },
  {
    "name": "BadRequestInterrupted",
    "hex": "0x80840000",
    "decimal": 2156134400,
    "description": "The request could not be sent because of a network interruption"
  },
  {
    "name": "BadRequestNotAllowed",
    "hex": "0x80e40000",
    "decimal": 2162425856,
    "description": "The request was rejected by the server because it did not meet the criteria set by the server"
  },
  {
    "name": "BadRequestNotComplete",
    "hex": "0x81130000",
    "decimal": 2165506048,
    "description": "The request has not been processed by the server yet"
  },
  {
    "name": "BadRequestTimeout",
    "hex": "0x80850000",
    "decimal": 2156199936,
    "description": "Timeout occurred while processing the request"
  },
  {
    "name": "BadRequestTooLarge",
    "hex": "0x80b80000",
    "decimal": 2159542272,
    "description": "The request message size exceeds limits set by the server"
  },
  {
    "name": "BadRequestTypeInvalid",
    "hex": "0x80530000",
    "decimal": 2152923136,
    "description": "The security token request type is not valid"
  },
  {
    "name": "BadResourceUnavailable",
    "hex": "0x80040000",
    "decimal": 2147745792,
    "description": "An operating system resource is not available"
  },
  {
    "name": "BadResponseTooLarge",
    "hex": "0x80b90000",
    "decimal": 2159607808,
    "description": "The response message size exceeds limits set by the client"
  },
  {
    "name": "BadSecureChannelClosed",
    "hex": "0x80860000",
    "decimal": 2156265472,
    "description": "The secure channel has been closed"
  },
  {
    "name": "BadSecureChannelIdInvalid",
    "hex": "0x80220000",
    "decimal": 2149711872,
    "description": "The specified secure channel is no longer valid"
  },
  {
    "name": "BadSecureChannelTokenUnknown",
    "hex": "0x80870000",
    "decimal": 2156331008,
    "description": "The token has expired or is not recognized"
  },
  {
    "name": "BadSecurityChecksFailed",
    "hex": "0x80130000",
    "decimal": 2148728832,
    "description": "An error occurred verifying security"
  },
  {
    "name": "BadSecurityModeInsufficient",
    "hex": "0x80e60000",
    "decimal": 2162556928,
    "description": "The operation is not permitted over the current secure channel"
  },
  {
    "name": "BadSecurityModeRejected",
    "hex": "0x80540000",
    "decimal": 2152988672,
    "description": "The security mode does not meet the requirements set by the server"
  },
  {
    "name": "BadSecurityPolicyRejected",
    "hex": "0x80550000",
    "decimal": 2153054208,
    "description": "The security policy does not meet the requirements set by the server"
  },
  {
    "name": "BadSempahoreFileMissing",
    "hex": "0x80520000",
    "decimal": 2152857600,
    "description": "The semaphore file specified by the client is not valid"
  },
  {
    "name": "BadSensorFailure",
    "hex": "0x808c0000",
    "decimal": 2156658688,
    "description": "There has been a failure in the sensor from which the value is derived by the device/data source"
  },
  {
    "name": "BadSequenceNumberInvalid",
    "hex": "0x80880000",
    "decimal": 2156396544,
    "description": "The sequence number is not valid"
  },
  {
    "name": "BadSequenceNumberUnknown",
    "hex": "0x807a0000",
    "decimal": 2155479040,
    "description": "The sequence number is unknown to the server"
  },
  {
    "name": "BadServerHalted",
    "hex": "0x800e0000",
    "decimal": 2048,
    "description": "The server has stopped and cannot process any requests"
  },
  {
    "name": "BadServerIndexInvalid",
    "hex": "0x806a0000",
    "decimal": 2154430464,
    "description": "The server index is not valid"
  },
  {
    "name": "BadServerNameMissing",
    "hex": "0x80500000",
    "decimal": 2152726528,
    "description": "No ServerName was specified"
  },
  {
    "name": "BadServerNotConnected",
    "hex": "0x800d0000",
    "decimal": 2148335616,
    "description": "The operation could not complete because the client is not connected to the server"
  },
  {
    "name": "BadServerUriInvalid",
    "hex": "0x804f0000",
    "decimal": 2152660992,
    "description": "The ServerUri is not a valid URI"
  },
  {
    "name": "BadServiceUnsupported",
    "hex": "0x800b0000",
    "decimal": 2148204544,
    "description": "The server does not support the requested service"
  },
  {
    "name": "BadSessionClosed",
    "hex": "0x80260000",
    "decimal": 2149974016,
    "description": "The session was closed by the client"
  },
  {
    "name": "BadSessionIdInvalid",
    "hex": "0x80250000",
    "decimal": 2149908480,
    "description": "The session id is not valid"
  },
  {
    "name": "BadSessionNotActivated",
    "hex": "0x80270000",
    "decimal": 2150039552,
    "description": "The session cannot be used because ActivateSession has not been called"
  },
  {
    "name": "BadShelvingTimeOutOfRange",
    "hex": "0x80d30000",
    "decimal": 2161311744,
    "description": "The shelving time not within an acceptable range"
  },
  {
    "name": "BadShutdown",
    "hex": "0x800c0000",
    "decimal": 2148270080,
    "description": "The operation was cancelled because the application is shutting down"
  },
  {
    "name": "BadSourceNodeIdInvalid",
    "hex": "0x80640000",
    "decimal": 2154037248,
    "description": "The source node id does not reference a valid node"
  },
  {
    "name": "BadStateNotActive",
    "hex": "0x80bf0000",
    "decimal": 2160001024,
    "description": "The sub-state machine is not currently active"
  },
  {
    "name": "BadStructureMissing",
    "hex": "0x80460000",
    "decimal": 2152071168,
    "description": "A mandatory structured parameter was missing or null"
  },
  {
    "name": "BadSubscriptionIdInvalid",
    "hex": "0x80280000",
    "decimal": 2150105088,
    "description": "The subscription id is not valid"
  },
  {
    "name": "BadSyntaxError",
    "hex": "0x80b60000",
    "decimal": 2159411200,
    "description": "A value had an invalid syntax"
  },
  {
    "name": "BadTargetNodeIdInvalid",
    "hex": "0x80650000",
    "decimal": 2154102784,
    "description": "The target node id does not reference a valid node"
  },
  {
    "name": "BadTcpEndpointUrlInvalid",
    "hex": "0x80830000",
    "decimal": 2156068864,
    "description": "The server does not recognize the QueryString specified"
  },
  {
    "name": "BadTcpInternalError",
    "hex": "0x80820000",
    "decimal": 2156003328,
    "description": "An internal error occurred"
  },
  {
    "name": "BadTcpMessageTooLarge",
    "hex": "0x80800000",
    "decimal": 2155872256,
    "description": "The size of the message specified in the header is too large"
  },
  {
    "name": "BadTcpMessageTypeInvalid",
    "hex": "0x807e0000",
    "decimal": 2055,
    "description": "The type of the message specified in the header invalid"
  },
  {
    "name": "BadTcpNotEnoughResources",
    "hex": "0x80810000",
    "decimal": 2155937792,
    "description": "There are not enough resources to process the request"
  },
  {
    "name": "BadTcpSecureChannelUnknown",
    "hex": "0x807f0000",
    "decimal": 2155806720,
    "description": "The SecureChannelId and/or TokenId are not currently in use"
  },
  {
    "name": "BadTcpServerTooBusy",
    "hex": "0x807d0000",
    "decimal": 2155675648,
    "description": "The server cannot process the request because it is too busy"
  },
  {
    "name": "BadTimeout",
    "hex": "0x800a0000",
    "decimal": 2148139008,
    "description": "The operation timed out"
  },
  {
    "name": "BadTimestampNotSupported",
    "hex": "0x80a10000",
    "decimal": 2158034944,
    "description": "The client requested history using a timestamp format the server does not support (i.e requested ServerTimestamp when server only supports SourceTimestamp)"
  },
  {
    "name": "BadTimestampsToReturnInvalid",
    "hex": "0x802b0000",
    "decimal": 2150301696,
    "description": "The timestamps to return parameter is invalid"
  },
  {
    "name": "BadTooManyArguments",
    "hex": "0x80e50000",
    "decimal": 2162491392,
    "description": "Too many arguments were provided"
  },
  {
    "name": "BadTooManyMatches",
    "hex": "0x806d0000",
    "decimal": 2154627072,
    "description": "The requested operation has too many matches to return"
  },
  {
    "name": "BadTooManyMonitoredItems",
    "hex": "0x80db0000",
    "decimal": 2161836032,
    "description": "The request could not be processed because there are too many monitored items in the subscription"
  },
  {
    "name": "BadTooManyOperations",
    "hex": "0x80100000",
    "decimal": 2148532224,
    "description": "The request could not be processed because it specified too many operations"
  },
  {
    "name": "BadTooManyPublishRequests",
    "hex": "0x80780000",
    "decimal": 2155347968,
    "description": "The server has reached the maximum number of queued publish requests"
  },
  {
    "name": "BadTooManySessions",
    "hex": "0x80560000",
    "decimal": 2153119744,
    "description": "The server has reached its maximum number of sessions"
  },
  {
    "name": "BadTooManySubscriptions",
    "hex": "0x80770000",
    "decimal": 2155282432,
    "description": "The server has reached its maximum number of subscriptions"
  },
  {
    "name": "BadTypeDefinitionInvalid",
    "hex": "0x80630000",
    "decimal": 2153971712,
    "description": "The type definition node id does not reference an appropriate type node"
  },
  {
    "name": "BadTypeMismatch",
    "hex": "0x80740000",
    "decimal": 2155085824,
    "description": "The value supplied for the attribute is not of the same type as the attribute's value"
  },
  {
    "name": "BadUnexpectedError",
    "hex": "0x80010000",
    "decimal": 2147549184,
    "description": "An unexpected error occurred"
  },
  {
    "name": "BadUnknownResponse",
    "hex": "0x80090000",
    "decimal": 2148073472,
    "description": "An unrecognized response was received from the server"
  },
  {
    "name": "BadUserAccessDenied",
    "hex": "0x801f0000",
    "decimal": 2149515264,
    "description": "User does not have permission to perform the requested operation"
  },
  {
    "name": "BadUserSignatureInvalid",
    "hex": "0x80570000",
    "decimal": 2153185280,
    "description": "The user token signature is missing or invalid"
  },
  {
    "name": "BadViewIdUnknown",
    "hex": "0x806b0000",
    "decimal": 2154496000,
    "description": "The view id does not refer to a valid view node"
  },
  {
    "name": "BadViewParameterMismatch",
    "hex": "0x80ca0000",
    "decimal": 2160721920,
    "description": "The view parameters are not consistent with each other"
  },
  {
    "name": "BadViewTimestampInvalid",
    "hex": "0x80c90000",
    "decimal": 2160656384,
    "description": "The view timestamp is not available or not supported"
  },
  {
    "name": "BadViewVersionInvalid",
    "hex": "0x80cb0000",
    "decimal": 2160787456,
    "description": "The view version is not available or not supported"
  },
  {
    "name": "BadWaitingForInitialData",
    "hex": "0x80320000",
    "decimal": 2150760448,
    "description": "Waiting for the server to obtain values from the underlying data source"
  },
  {
    "name": "BadWaitingForResponse",
    "hex": "0x80b20000",
    "decimal": 2159149056,
    "description": "The asynchronous operation is waiting for a response"
  },
  {
    "name": "BadWouldBlock",
    "hex": "0x80b50000",
    "decimal": 2159345664,
    "description": "Non blocking behaviour is required and the operation would block"
  },
  {
    "name": "BadWriteNotSupported",
    "hex": "0x80730000",
    "decimal": 2155020288,
    "description": "The server does not support writing the combination of value, status and timestamps provided"
  },
  {
    "name": "Good",
    "hex": "0x00000000",
    "decimal": 0,
    "description": "No Error"
  },
  {
    "name": "GoodCallAgain",
    "hex": "0xa90000",
    "decimal": 11075584,
    "description": "The operation is not finished and needs to be called again"
  },
  {
    "name": "GoodClamped",
    "hex": "0x300000",
    "decimal": 3145728,
    "description": "The value written was accepted but was clamped"
  },
  {
    "name": "GoodCommunicationEvent",
    "hex": "0xa70000",
    "decimal": 10944512,
    "description": "The communication layer has raised an event"
  },
  {
    "name": "GoodCompletesAsynchronously",
    "hex": "0x2e0000",
    "decimal": 2,
    "description": "The processing will complete asynchronously"
  },
  {
    "name": "GoodDataIgnored",
    "hex": "0xd90000",
    "decimal": 14221312,
    "description": "The request specifies fields which are not valid for the EventType or cannot be saved by the historian"
  },
  {
    "name": "GoodDependentValueChanged",
    "hex": "0xe00000",
    "decimal": 14680064,
    "description": "A dependent value has been changed but the change has not been applied to the device"
  },
  {
    "name": "GoodEdited",
    "hex": "0xdc0000",
    "decimal": 14417920,
    "description": "The value does not come from the real source and has been edited by the server"
  },
  {
    "name": "GoodEntryInserted",
    "hex": "0xa20000",
    "decimal": 10616832,
    "description": "The data or event was successfully inserted into the historical database"
  },
  {
    "name": "GoodEntryReplaced",
    "hex": "0xa30000",
    "decimal": 10682368,
    "description": "The data or event field was successfully replaced in the historical database"
  },
  {
    "name": "GoodLocalOverride",
    "hex": "0x960000",
    "decimal": 9830400,
    "description": "The value has been overridden"
  },
  {
    "name": "GoodMoreData",
    "hex": "0xa60000",
    "decimal": 10878976,
    "description": "The data or event field was successfully replaced in the historical database"
  },
  {
    "name": "GoodNoData",
    "hex": "0xa50000",
    "decimal": 10813440,
    "description": "No data exists for the requested time range or event filter"
  },
  {
    "name": "GoodNonCriticalTimeout",
    "hex": "0xaa0000",
    "decimal": 11141120,
    "description": "A non-critical timeout occurred"
  },
  {
    "name": "GoodOverload",
    "hex": "0x2f0000",
    "decimal": 3080192,
    "description": "Sampling has slowed down due to resource limitations"
  },
  {
    "name": "GoodPostActionFailed",
    "hex": "0xdd0000",
    "decimal": 14483456,
    "description": "There was an error in execution of these post-actions"
  },
  {
    "name": "GoodResultsMayBeIncomplete",
    "hex": "0xba0000",
    "decimal": 12189696,
    "description": "The server should have followed a reference to a node in a remote server but did not. The result set may be incomplete"
  },
  {
    "name": "GoodShutdownEvent",
    "hex": "0xa80000",
    "decimal": 11010048,
    "description": "The system is shutting down"
  },
  {
    "name": "GoodSubscriptionTransferred",
    "hex": "0x2d0000",
    "decimal": 2949120,
    "description": "The subscription was transferred to another session"
  },
  {
    "name": "Uncertain",
    "hex": "0x40000000",
    "decimal": 1073741824,
    "description": "The value is uncertain but no specific reason is known"
  },
  {
    "name": "UncertainDataSubNormal",
    "hex": "0x40a40000",
    "decimal": 1084489728,
    "description": "The value is derived from multiple values and has less than the required number of Good values"
  },
  {
    "name": "UncertainDependentValueChanged",
    "hex": "0x40e20000",
    "decimal": 1088552960,
    "description": "A dependent value has been changed but the change has not been applied to the device. The quality of the dominant variable is uncertain"
  },
  {
    "name": "UncertainDominantValueChanged",
    "hex": "0x40de0000",
    "decimal": 1088290816,
    "description": "The related EngineeringUnit has been changed but the Variable Value is still provided based on the previous unit"
  },
  {
    "name": "UncertainEngineeringUnitsExceeded",
    "hex": "0x40940000",
    "decimal": 1083441152,
    "description": "The value is outside of the range of values defined for this parameter"
  },
  {
    "name": "UncertainInitialValue",
    "hex": "0x40920000",
    "decimal": 1083310080,
    "description": "The value is an initial value for a variable that normally receives its value from another variable"
  },
  {
    "name": "UncertainLastUsableValue",
    "hex": "0x40900000",
    "decimal": 1083179008,
    "description": "Whatever was updating this value has stopped doing so"
  },
  {
    "name": "UncertainNoCommunicationLastUsableValue",
    "hex": "0x408f0000",
    "decimal": 1083113472,
    "description": "Communication to the data source has failed. The variable value is the last value that had a good quality"
  },
  {
    "name": "UncertainNotAllNodesAvailable",
    "hex": "0x40c00000",
    "decimal": 1086324736,
    "description": "The list of references may not be complete because the underlying system is not available"
  },
  {
    "name": "UncertainReferenceNotDeleted",
    "hex": "0x40bc0000",
    "decimal": 1086062592,
    "description": "The server was not able to delete all target references"
  },
  {
    "name": "UncertainReferenceOutOfServer",
    "hex": "0x406c0000",
    "decimal": 1080819712,
    "description": "One of the references to follow in the relative path references to a node in the address space in another server"
  },
  {
    "name": "UncertainSensorNotAccurate",
    "hex": "0x40930000",
    "decimal": 1083375616,
    "description": "The value is at one of the sensor limits"
  },
  {
    "name": "UncertainSubNormal",
    "hex": "0x40950000",
    "decimal": 1083506688,
    "description": "The value is derived from multiple sources and has less than the required number of Good sources"
  },
  {
    "name": "UncertainSubstituteValue",
    "hex": "0x40910000",
    "decimal": 1083244544,
    "description": "The value is an operational value that was manually overwritten"
  }
]